﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace TestDialogs
{
    public partial class Dialog1 : Form
    {
        public Dialog1()
        {
            InitializeComponent();
        }

        public string MyValue
        {
            get { return textBox1.Text; }
        }
        
        private void buttonClose_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void Dialog1_Validated(object sender, EventArgs e)
        {
            Console.WriteLine("Dialog1 validated");
        }

        private void Dialog1_Validating(object sender, CancelEventArgs e)
        {
            Console.WriteLine("Dialog1 validating");
        }

        private void Dialog1_Shown(object sender, EventArgs e)
        {
            Console.WriteLine("Dialog1 shown, visible: " + this.Visible.ToString());
        }

        private void Dialog1_FormClosing(object sender, FormClosingEventArgs e)
        {
            Console.WriteLine("Dialog1 closing");
            if (e.CloseReason != CloseReason.UserClosing) 
                MessageBox.Show("Dialog1 closing (not by user)", "Info", MessageBoxButtons.OK, MessageBoxIcon.Information);
            else
                MessageBox.Show("Dialog1 closed by user", "Info", MessageBoxButtons.OK, MessageBoxIcon.Information);
        }

        private void Dialog1_Activated(object sender, EventArgs e)
        {
            Console.WriteLine("Dialog1 activated, visible: " + this.Visible.ToString());
        }

        private void Dialog1_VisibleChanged(object sender, EventArgs e)
        {
            Console.WriteLine("Dialog1 visible changed");
        }
    }
}